An AbstractClassError is thrown when you attempt to create an instance of an abstract class.

### Hierarchy

- AbstractClassError
  - AbstractClassError
    - AbstractClassError

## Index

### Constructors

- constructor

## Constructors

### constructor

- new AbstractClassError(message?: string, id?: number): AbstractClassError

- - Defined in lib/starling/errors/AbstractClassError.d.ts:8

  Creates a new AbstractClassError object.

  #### Parameters

  - ##### Optional message: string

  - ##### Optional id: number

  #### Returns AbstractClassError

Generated using TypeDoc